org.aspectj.lang.reflect

## Interface DeclareErrorOrWarning

    public interface DeclareErrorOrWarning

AspectJ runtime representation of a declare error or declare warning member in an aspect.

### Method Summary

Methods
`AjType` `getDeclaringType()` The type that declared this declare warning or declare error member.
`java.lang.String` `getMessage()` The message associated with the declare warning / declare error
`PointcutExpression` `getPointcutExpression()` The pointcut expression associated with the warning or error
`boolean` `isError()` True if this is a declare error member, false if it is declare warning

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

The type that declared this declare warning or declare error member.

#### getPointcutExpression

    PointcutExpression getPointcutExpression()

The pointcut expression associated with the warning or error

#### getMessage

    java.lang.String getMessage()

The message associated with the declare warning / declare error

#### isError

    boolean isError()

True if this is a declare error member, false if it is declare warning